<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card">
        <div class="card-header">
          <i class="fa fa-globe"></i>{{'object.groupWebsite.title' | translate}}
          <span class="float-right">
            <button (click)="addGroupWebsite()" [disabled]="isCreate || isEdit"
                    class="btn btn-block btn-primary">{{'common.add' | translate}}</button></span>
        </div>
        <div class="card-body" *ngIf="groupWebsites">
          <div class="row mb-2 justify-content-between">
            <div class="col-6">
              <span class="float-left pr-3" style="padding-top:4px">{{'common.show' | translate}}</span>
              <select (change)="onSearch()" [(ngModel)]="paging.limit" class="form-control float-left"
                      style="max-width: 70px" [disabled]="isCreate || isEdit">
                <option *ngFor="let i of PAGING_PER_PAGE" value="{{i.value}}">{{i.label}}</option>
              </select>
            </div>
            <div class="col-2">
              <div class="input-group float-right">
                <input type="text" [(ngModel)]="keywordSearch" class="form-control"
                       placeholder="{{'common.search' | translate}}">
                <div class="input-group-append">
                  <button (click)="onSearch()" [disabled]="isCreate || isEdit" class="btn btn-dark" type="button">
                    <i class="fa fa-search"></i>
                  </button>
                </div>
              </div>
            </div>
          </div>
          <form [formGroup]="groupWebsiteFormGroup">
            <table class="table table-bordered table-sort-icon">
              <thead>
              <tr [disabled]="!isAction" appSort [(orderBy)]="order.orderBy" [(orderType)]="order.orderType"
                  (orderChange)="changeOder($event)">
                <th appSortBy="name" class="text-center">
                  {{'object.groupWebsite.name' | translate}}
                  <fa-icon></fa-icon>
                </th>
                <th appSortBy="description" class="text-center">
                  {{'object.groupWebsite.description' | translate}}
                  <fa-icon></fa-icon>
                </th>
                <th appSortBy="website_domain" class="text-center">
                  {{'object.groupWebsite.website.domain_name' | translate}}
                  <fa-icon></fa-icon>
                </th>
                <th class="text-center">
                  {{'common.action' | translate}}
                </th>
              </tr>
              </thead>
              <tbody formArrayName="data" *ngFor="let groupWebsite of getFormData.controls; let i=index">
              <tr [formGroupName]="i">
                <td>
                    <span *ngIf="!groupWebsite.get('is_update').value">
                      {{groupWebsite.get('name').value}}
                    </span>
                  <div *ngIf="groupWebsite.get('is_update').value">
                    <input type="text" class="form-control" formControlName="name"
                           placeholder="{{'object.groupWebsite.name' | translate}}" pattern="^[^\s]+(\s+[^\s]+)*$">
                    <span class="text-danger"
                          *ngIf="groupWebsite.get('name').touched && groupWebsite.get('name').errors?.required">{{'error.validate.input_required' | translate}}</span>
                    <span class="text-danger"
                          *ngIf="groupWebsite.get('name').errors?.maxlength">{{'error.validate.name.maxlength' | translate}}</span>
                    <span class="text-danger"
                          *ngIf="groupWebsite.get('name').errors?.pattern">{{'error.validate.pattern' | translate}}</span>
                  </div>
                </td>
                <td>
                    <span *ngIf="!groupWebsite.get('is_update').value">
                      {{groupWebsite.get('description').value}}
                    </span>
                  <div *ngIf="groupWebsite.get('is_update').value">
                    <input type="text" class="form-control" formControlName="description" pattern="^[^\s]+(\s+[^\s]+)*$"
                           placeholder="{{'object.groupWebsite.description' | translate}}">
                    <span class="text-danger" *ngIf="groupWebsite.get('description').touched && groupWebsite.get('description').errors?.required">{{'error.validate.input_required' | translate}}</span>
                    <span class="text-danger"
                          *ngIf="groupWebsite.get('description').errors?.maxlength">{{'error.validate.name.maxlength' | translate}}</span>
                    <span class="text-danger"
                          *ngIf="groupWebsite.get('description').errors?.pattern">{{'error.validate.pattern' | translate}}</span>

                  </div>
                </td>
                <td class="text-left" style="
                  max-width: 200px; overflow: hidden;
    text-overflow: ellipsis;
    -webkit-box-orient: vertical;">
                  <div class="_tooltip tooltip__initiator"  *ngIf="groupWebsite.get('is_show').value">
                    <div class="tooltip__item" style="margin-left: 10px !important; overflow-y: auto; max-height: 290px">
                      <div *ngFor="let websites of groupWebsite.get('websites').value;">
                        <pre style="color: white">{{websites.website_domain}}</pre>
                      </div>
                      <div class="spinner" *ngIf="!groupWebsite.get('is_show').value">
                        <div class="bounce1"></div>
                        <div class="bounce2"></div>
                        <div class="bounce3"></div>
                      </div>
                    </div>
                  </div>
                  <span class="hover-blue text-truncate" (click)="showDetail(groupWebsites, i)"
                        *ngIf="!groupWebsite.get('is_update').value">
                      <ng-container *ngFor="let websites of groupWebsite.get('websites').value; let i = index">
                          {{websites.website_domain}}<span *ngIf="i !== groupWebsite.get('websites').value.length -1">,</span>
                      </ng-container>
                    </span>
                  <div class="text-center" *ngIf="groupWebsite.get('is_update').value">
                    <button (click)="openViewWebsitePopup(i)" *ngIf="!isCreate" type="submit"
                            class="btn btn-success btn-sm">
                      <i class="fa fa-bars"></i>
                    </button>
                    <div class="card-body m-0 _tooltip tooltip__initiator" *ngIf="groupWebsite.get('is_show').value">
                      <table class="table table-bordered tooltip__item_custom overflow">
                        <tr>
                          <th colspan="2">
                            <div class="row justify-content-end">
                              <div class="input-group col-4">
                                <input type="text" #keywordSearchGroupWebsite
                                       placeholder="{{'common.search' | translate}}" class="form-control">
                                <div class="input-group-append">
                                  <button (click)="onSearchGroupWebsite(keywordSearchGroupWebsite.value)"
                                          class="btn btn-dark" type="button">
                                    <i class="fa fa-search"></i>
                                  </button>
                                </div>
                              </div>
                            </div>
                          </th>
                        </tr>
                        <div class="scroll-group" >
                          <tr>
                            <th class="text-center width-custom">{{'object.groupWebsite.website.domain_name' | translate}}</th>
                            <th *ngIf="isEdit" class="text-center">{{'common.action' | translate}}</th>
                          </tr>
                          <tr *ngFor="let websites of selectedGroupWebsite.websites; let i=index">
                            <td *ngIf="!isEdit" class="text-center">
                              {{websites.website_domain}}
                            </td>
                          </tr>
                          <tr *ngFor="let website of getFormWebsiteData.controls; let i=index">
                            <td *ngIf="isEdit" class="text-center">
                              {{website.get('website_domain').value}}
                            </td>
                            <td *ngIf="isEdit" class="text-center">
                              <button *ngIf="website.get('is_available').value" type="button" class="btn btn-success"
                                      (click)="updateWebsiteDomain(i,'add')">
                                <i class="fa fa-plus"></i>
                              </button>
                              <button *ngIf="!website.get('is_available').value" type="button" class="btn btn-danger"
                                      (click)="updateWebsiteDomain(i,'remove')">
                                <i class="fa fa-minus"></i>
                              </button>
                            </td>
                          </tr>
                        </div>
                      </table>
                    </div>
                  </div>
                </td>
                <td class="text-center">
                  <div class="btn-group">
                    <button *ngIf="!groupWebsite.get('is_update').value" (click)="onEdit(i)"
                            type="submit" [disabled]="isCreate || isEdit"
                            class="btn btn-success btn-sm">
                      <i class="icon-pencil"></i>
                      <span class="d-none d-md-inline">{{'common.edit' | translate}}</span>
                    </button>
                    <button *ngIf="groupWebsite.get('is_update').value" (click)="save(i)" type="submit"
                            [disabled]="groupWebsite.invalid"
                            class="btn btn-primary btn-sm">
                      <i class="fa fa-save"></i>
                      <span class="d-none d-md-inline">{{'common.save' | translate}}</span>
                    </button>
                    <button *ngIf="!groupWebsite.get('is_update').value" [disabled]="isCreate || isEdit" type="submit"
                            (click)="remove(deleteModal, i)"
                            class="btn btn-danger btn-sm">
                      <i class="icon-trash"></i>
                      <span class="d-none d-md-inline">{{'common.delete' | translate}}</span>
                    </button>
                    <button *ngIf="groupWebsite.get('is_update').value" type="submit" (click)="onCancelEdit(i)"
                            class="btn btn-danger btn-sm">
                      <i class="icon-action-undo"></i>
                      <span class="d-none d-md-inline">{{'common.cancel' | translate}}</span>
                    </button>
                  </div>
                </td>
              </tr>
              </tbody>
            </table>
          </form>
          <div class="row justify-content-center" *ngIf="groupWebsites && groupWebsites.length > 0">
            <span class="col-6">{{'common.pagingInfo' | translate : {
              start: paging.offset + 1,
              end: (paging.offset + getFormData.controls.length),
              total: paging.total
            } }}</span>
            <div class="col-6">
              <ngb-pagination class="float-right" [boundaryLinks]="true" [collectionSize]="paging.total"
                              [pageSize]="paging.limit" [maxSize]="5" [rotate]="true" [(page)]="paging.page"
                              (pageChange)="loadPage(paging.page)">
              </ngb-pagination>
            </div>
          </div>
          <div *ngIf="!groupWebsites || groupWebsites.length === 0" class="text-center">
            <span>{{'common.no_record' | translate}}</span>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<ng-template #deleteModal let-modal>
  <div class="modal-header">
    <h4 class="modal-title"
        id="modal-comfirm-delete-title">{{'object.groupWebsite.delete_popup.title' | translate}}</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    {{'object.groupWebsite.delete_popup.message' | translate: {name: selectedGroupWebsite.name} }}
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-danger"
            (click)="modal.close('delete')">{{'common.delete' | translate}}</button>
    <button type="button" class="btn btn-secondary"
            (click)="modal.close('Close')">{{'common.close' | translate}}</button>
  </div>
</ng-template>
